Java Runtime Environment Plugin

27/10/2007 - 12:23 von Albrecht Mehl | Report spam
Ich habe auf meinem opensuse 10.2 System mit der JRE Schwierigkeiten und
bitte daher um Hilfe.

Klicke ich auf der Seite

http://emsolar.ee.tu-berlin.de/~ilse/solar/index.html

etwa in der Mitte 'Sonnenstandsdiagramme' an, öffnet sich ein Fenster
mit der Aufforderung

Klicken Sie hier, um ein Plugin herunterzuladen

Tue ich das, heißt es im nàchsten Fenster

Verfügbare Plugins-Downloads: Folgende Plugins stehen zur Verfügung
Java Runtim. Envirn. mit einem Haken davor
Klicken Sie auf weiter, um diese Plugins zu installieren

Tue ich das, wird gemeldet, daß keine Plugins installiert wurden.

Die Softwareverwaltung YAST meldet mir, daß sowohl JRE 1.4.2 als auch
1.5.0 installiert sind und zwar im Verzeichnis

/usr/lib/jvm/java-1.5.0-sun-1.5.0_update13/jre bzw.
/usr/lib/jvm/java-1_4_2-sun-1.4.2_update16/jre

In dem Büroprogramm OpenOffice sehe ich beide Umgebungen, aus denen
ich auswàhlen kann, welche ich in OO verwenden will.

Aber ... in den beiden oben genannten Verzeichnissen finde ich das
Verzeichnis 'plugin', von dem auf der Seite

http://java.com/de/download/help/50...00.xml#rpm

die Rede ist und das ich brauche, um eine symbolische Verknüpfung
zwischen Java und Firefox herzustellen.

Da ich ratlos bin, wàre ich für einen Hinweis, wie ich jetzt vorgehen
kann, d.h. u.a. wo ich 'plugin' finden kann, dankbar. Natürlich sind
auch Kommentare, die über diese Fragen hinausgehen, willkommen.

A. Mehl

Albrecht Mehl |Absendekonto wird nicht gelesen; eBriefe an:
Schorlemmerstr. 33 |mehl bei hrz1PunkthrzPunkttu-darmstadtPunktde
D-64291 Darmstadt, Germany|sehenswert - Relativist. Effekte
Tel. (+49 06151) 37 39 92 |http://www.tempolimit-lichtgeschwindigkeit.de
 

Lesen sie die antworten

#1 Hartmut Figge
27/10/2007 - 12:55 | Warnen spam
Albrecht Mehl:

Ich habe auf meinem opensuse 10.2 System mit der JRE Schwierigkeiten und
bitte daher um Hilfe.



Hm, für welches Programm? SM, FF?

Die Softwareverwaltung YAST meldet mir, daß sowohl JRE 1.4.2 als auch
1.5.0 installiert sind und zwar im Verzeichnis

/usr/lib/jvm/java-1.5.0-sun-1.5.0_update13/jre bzw.
/usr/lib/jvm/java-1_4_2-sun-1.4.2_update16/jre



Beide sehr, sehr alt.

In dem Büroprogramm OpenOffice sehe ich beide Umgebungen, aus denen
ich auswàhlen kann, welche ich in OO verwenden will.

Aber ... in den beiden oben genannten Verzeichnissen finde ich das
Verzeichnis 'plugin', von dem auf der Seite

http://java.com/de/download/help/50...00.xml#rpm

die Rede ist und das ich brauche, um eine symbolische Verknüpfung
zwischen Java und Firefox herzustellen.



Zu ungenau. Bei mir gilt
~ $ tree java/jre1.6.0_03/plugin
java/jre1.6.0_03/plugin
|-- desktop
| |-- sun_java.desktop
| `-- sun_java.png
`-- i386
|-- ns7
| `-- libjavaplugin_oji.so
`-- ns7-gcc29
`-- libjavaplugin_oji.so

und ich verwende das .so in i386/ns7. Wie das bei den alten
Java-Versionen war, habe ich vergessen. Was wird denn bei Dir angeboten?

Da ich ratlos bin, wàre ich für einen Hinweis, wie ich jetzt vorgehen
kann, d.h. u.a. wo ich 'plugin' finden kann, dankbar.



Zunàchst musst Du das Verzeichnis finden, in dem Dein SM/FF die Plugins
erwartet. Bei mir wàre das /usr/lib/nsbrowser/plugins/, das kann bei Dir
anders sein.

Befrag mal Help->About Plug-ins, welche Plugins bei Dir erkannt werden,
das sollte einen Anhaltspunkt für den Ort des Verzeichnisses geben.

Hast Du diesen bestimmt und ebenfalls das gewünschte .so, musst Du einen
symbolischen Link anlegen.

ln -s Pfad_zum_.so/libjavaplugin_oji.so Pfad_zum_Ort/libjavaplugin_oji.so

Für so etwas verwende ich bequemerweise den mc. :)

Hartmut
Usenet-ABC-Wiki http://www.usenet-abc.de/wiki/
Von Usern fuer User :-)

Ähnliche fragen